import 'package:mohem_flutter_app/app_state/app_state.dart';

class PostParamsModel {
  double? versionID;
  int? channel;
  int? languageID;
  String? mobileType;
  String? logInTokenID;
  String? tokenID;
  String? mobileNumber;
  String? pEmailAddress;
  String? pUserName;
  String? pSelectedEmployeeNumber;
  String? pLegislationCode;
  String? payrollCodeStr;
  int? pSessionId;
  String? userName;

  PostParamsModel({
    this.versionID,
    this.channel,
    this.languageID,
    this.mobileType,
    this.logInTokenID,
    this.tokenID,
    this.mobileNumber,
    this.userName,
    this.pEmailAddress,
    this.pSessionId,
    this.pUserName,
    this.pSelectedEmployeeNumber,
    this.payrollCodeStr,
    this.pLegislationCode,
  });

  PostParamsModel.fromJson(Map<String, dynamic> json) {
    versionID = json['VersionID'];
    channel = json['Channel'];
    languageID = json['LanguageID'];
    mobileType = json['MobileType'];
    logInTokenID = json['LogInTokenID'];
    payrollCodeStr = json['PayrollCodeStr'];
    pLegislationCode = json['LegislationCodeStr'];
    tokenID = json['TokenID'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['VersionID'] = this.versionID;
    data['Channel'] = this.channel;
    data['LanguageID'] = this.languageID;
    data['MobileType'] = this.mobileType;
    data['LogInTokenID'] = this.logInTokenID;
    data['PayrollCodeStr'] = this.payrollCodeStr;
    data['LegislationCodeStr'] = this.pLegislationCode;
    data['TokenID'] = this.tokenID;
    return data;
  }

  Map<String, dynamic> toJsonAfterLogin() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['VersionID'] = this.versionID;
    data['Channel'] = this.channel;
    data['LanguageID'] = this.languageID;
    data['MobileType'] = this.mobileType;
    data['LogInTokenID'] = this.logInTokenID;
    data['TokenID'] = this.tokenID;
    data['MobileNumber'] = this.mobileNumber;
    data['UserName'] = this.userName;
    data['P_EMAIL_ADDRESS'] = this.pEmailAddress;
    data['P_SESSION_ID'] = this.pSessionId;
    data['PayrollCodeStr'] = this.payrollCodeStr;
    data['LegislationCodeStr'] = this.pLegislationCode;
    data['P_SELECTED_EMPLOYEE_NUMBER'] = this.pSelectedEmployeeNumber;
    data['P_USER_NAME'] = this.pUserName;
    return data;
  }

  set setLogInTokenID(String? token) => logInTokenID = token;

  set setTokenID(String? token) => tokenID = token;

  set setMobileNumer(String? v) => mobileNumber = v;

  set setUserName(String? v) => userName = v;

  set setPEmailAddress(String? v) => pEmailAddress = v;

  set setPSessionId(int? v) => pSessionId = v;

  set setPUserName(String? v) => pUserName = v;

  set setPSelectedEmployeeNumber(String? v) => pSelectedEmployeeNumber = v;

  set setPLegislationCode(String? v) => pLegislationCode = v;

  set setPayrollCodeStr(String? v) => payrollCodeStr = v;
}
